Page MenuHomePhabricator

CirrusSearchCheckerJob should have a title
Closed, ResolvedPublic

Description

All the jobs provide a page title, some of them may even use non-existent titles like "Special:Badtitle/JobSpecification" but the checker job provides the empty string.

The new queue requires that the title is provided and since the checker job is the only one that doesn't it should start doing that.

Event Timeline

Pchelolo triaged this task as High priority.Mar 28 2018, 7:13 PM
Pchelolo created this task.

Change 422471 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] CirrusSearchCheckerJob should have a title

https://gerrit.wikimedia.org/r/422471

Change 422471 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] CirrusSearchCheckerJob should have a title

https://gerrit.wikimedia.org/r/422471

Change 422906 had a related patch set uploaded (by DCausse; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@wmf/1.31.0-wmf.27] CirrusSearchCheckerJob should have a title

https://gerrit.wikimedia.org/r/422906

Change 422906 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.31.0-wmf.27] CirrusSearchCheckerJob should have a title

https://gerrit.wikimedia.org/r/422906

Change 422938 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/event-schemas@master] Disallow empty strings for required string properties.

https://gerrit.wikimedia.org/r/422938

fdans moved this task from Incoming to Radar on the Analytics board.Mar 29 2018, 4:54 PM

I can see the patch was SWATed and reverted. Was something wrong with it?

No it was due to a scap failure (T191029) so I had to revert to keep tin in sync with what's deployed.

dcausse closed this task as Resolved.Apr 4 2018, 7:59 PM
dcausse reassigned this task from dcausse to EBernhardson.

wmf18 rolled out to group0 and I no longer see these errors since March 4 22:20 UTC.

Change 422938 merged by jenkins-bot:
[mediawiki/event-schemas@master] Disallow empty strings for required string properties.

https://gerrit.wikimedia.org/r/422938